aboutsummaryrefslogtreecommitdiffhomepage
path: root/bin
diff options
context:
space:
mode:
authorGravatar halcanary <halcanary@google.com>2016-04-26 12:38:47 -0700
committerGravatar Commit bot <commit-bot@chromium.org>2016-04-26 12:38:47 -0700
commit298ab76f1a47932ff86d1f615b564b0155846ec6 (patch)
tree52eb9f7b7b24311ff2aed448fe468b4755cac9ad /bin
parent8ffab6fc0effa9b467584bf3bf9d7d0345e2aeb9 (diff)
bin/fetch-skps: print instruction on error
Diffstat (limited to 'bin')
-rwxr-xr-xbin/fetch-skps32
1 files changed, 19 insertions, 13 deletions
diff --git a/bin/fetch-skps b/bin/fetch-skps
index 75f73d5f31..bac8e2004a 100755
--- a/bin/fetch-skps
+++ b/bin/fetch-skps
@@ -1,16 +1,4 @@
#!/bin/sh
-# Instructions for authenticating.
-#
-# Install the utilities you need:
-# curl https://sdk.cloud.google.com | bash
-#
-# Authenticate
-# gcloud auth login
-#
-# Follow instructions on web page.
-#
-# Set Project
-# gcloud config set project google.com:skia-buildbots
# Copies the latest bot-generated SKP set to ./skps.
@@ -18,4 +6,22 @@ set -x
set -e
VERSION=`cat $(dirname $0)/../SKP_VERSION`
-gsutil -m cp -r gs://chromium-skia-gm/playback_$VERSION/skps .
+if ! gsutil -m cp -r gs://chromium-skia-gm/playback_$VERSION/skps . ; then
+ cat >&2 <<EOF
+
+ Instructions for authenticating.
+
+ Install the utilities you need:
+ curl https://sdk.cloud.google.com | bash
+
+ Authenticate
+ gcloud auth login
+
+ Follow instructions on web page.
+
+ Set Project
+ gcloud config set project google.com:skia-buildbots
+
+EOF
+exit 1
+fi